package com.bonus.material.basic.service;

import java.util.List;
import com.bonus.common.biz.domain.BmStorageLog;

/**
 * 库存日志Service接口
 * 
 * @author xsheng
 * @date 2024-09-26
 */
public interface IBmStorageLogService 
{
    /**
     * 查询库存日志
     * 
     * @param id 库存日志主键
     * @return 库存日志
     */
    public BmStorageLog selectBmStorageLogById(Long id);

    /**
     * 查询库存日志列表
     * 
     * @param bmStorageLog 库存日志
     * @return 库存日志集合
     */
    public List<BmStorageLog> selectBmStorageLogList(BmStorageLog bmStorageLog);

    /**
     * 新增库存日志
     * 
     * @param bmStorageLog 库存日志
     * @return 结果
     */
    public int insertBmStorageLog(BmStorageLog bmStorageLog);

    /**
     * 修改库存日志
     * 
     * @param bmStorageLog 库存日志
     * @return 结果
     */
    public int updateBmStorageLog(BmStorageLog bmStorageLog);

    /**
     * 批量删除库存日志
     * 
     * @param ids 需要删除的库存日志主键集合
     * @return 结果
     */
    public int deleteBmStorageLogByIds(Long[] ids);

    /**
     * 删除库存日志信息
     * 
     * @param id 库存日志主键
     * @return 结果
     */
    public int deleteBmStorageLogById(Long id);

    /**
     * 批量新增库存日志
     * @param bmStorageLogList
     * @return
     */
    int batchInsert(List<BmStorageLog> bmStorageLogList);
}
